Function
memset
An implementation of memset with fixed number of bytes using Metaprogramming.
memset<SIZE>(ptr, c)
memset<SIZE, c>(ptr)
Include Headers
seqan/misc/misc_memset.h
Parameters

SIZE | The number of bytes to set. Types: unsigned
ptr | Pointer to the data to set. Types: unsigned char *
c | The character to fill the memory with. Types: unsigned char

Remarks
These functions can be completely unrolled and inlined by the compiler.
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:58